Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.update
Interface UpdateManager

All Known Implementing Classes:
  UpdateManagerImpl

public interface UpdateManager

Method Summary
`UpdateResult` | `activateEnterprise(java.sql.Connection con, EnterpriseObject eo, java.lang.String user)`
`UpdateResult` | `createEnterpriseObject(java.sql.Connection con, SystemObject so)`
`UpdateResult` | `createEnterpriseObject(java.sql.Connection con, SystemObject[] so)`
`UpdateResult` | `deactivateEnterprise(java.sql.Connection con, EnterpriseObject eo, java.lang.String user)`
`UpdateResult` | `mergeEnterprise(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, int flags, java.lang.String user)`
`UpdateResult` | `mergeEnterprise(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, java.lang.String srcRevisionNumber, java.lang.String destRevisionNumber, int flags, java.lang.String user)` Merges two `EnterpriseObject` by transfering all of the `SystemObject` from the source to the destination.
`UpdateResult` | `mergeSystem(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, java.lang.String system, java.lang.String lid, SystemObject newSO, int flags, java.lang.String user)`
`UpdateResult` | `mergeSystem(java.sql.Connection con, EnterpriseObject srcEO, java.lang.String system, java.lang.String lid, SystemObject newSO, int flags, java.lang.String user)`
`UpdateResult` | `removeSystem(java.sql.Connection con, EnterpriseObject srcEO, java.lang.String system, java.lang.String lid, java.lang.String user)`
`UpdateResult` | `splitSystem(java.sql.Connection con, java.lang.String system, java.lang.String lid, EnterpriseObject eo, java.lang.String user)`
`UpdateResult` | `splitSystem(java.sql.Connection con, SystemObject so, EnterpriseObject eo, java.lang.String user)`
`UpdateResult` | `transferSystem(java.sql.Connection con, EnterpriseObject srcEO, EnterpriseObject destEO, java.lang.String system, java.lang.String lid, java.lang.String user)`
`UpdateResult` | `unmergeEnterprise(java.sql.Connection con, java.lang.String transactionID, int flag, java.lang.String user)`
`UpdateResult` | `unmergeSystem(java.sql.Connection con, java.lang.String transactionID, int flag, java.lang.String user)`
`UpdateResult` | `updateEnterprise(java.sql.Connection con, EnterpriseObject eo, int flags, java.lang.String user)`
`UpdateResult` | `updateEnterprise(java.sql.Connection con, EnterpriseObject eo, java.lang.String revisionNumber, int flags, java.lang.String user)` Updates a particular EnterpriseObject
`UpdateResult` | `updateEnterprise(java.sql.Connection con, SystemObject so, EnterpriseObject eo, int flags, java.lang.String user)`
`UpdateResult` | `updateEnterprise(java.sql.Connection con, SystemObject so, EnterpriseObject eo, java.lang.String revisionNumber, int flags, java.lang.String user)` Updates a particular EnterpriseObject with values from the specified SystemObject

Method Detail

### activateEnterprise

    public UpdateResult activateEnterprise(java.sql.Connection con,
                                           EnterpriseObject eo,
                                           java.lang.String user)
                                    throws UpdateException,
                                           ObjectException,
                                           DataModifiedException

  Throws:
    `UpdateException`
    `ObjectException`
    `DataModifiedException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#activateEnterprise`

### createEnterpriseObject

    public UpdateResult createEnterpriseObject(java.sql.Connection con,
                                               SystemObject so)
                                        throws SystemObjectException,
                                               UpdateException,
                                               ObjectException,
                                               UserException

  Throws:
    `SystemObjectException`
    `UpdateException`
    `ObjectException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#createEnterpriseObject`

### createEnterpriseObject

    public UpdateResult createEnterpriseObject(java.sql.Connection con,
                                               SystemObject[] so)
                                        throws SystemObjectException,
                                               UpdateException,
                                               SurvivorCalculationException,
                                               ObjectException,
                                               UserException

  Throws:
    `SystemObjectException`
    `UpdateException`
    `SurvivorCalculationException`
    `ObjectException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#createEnterpriseObject`

### deactivateEnterprise

    public UpdateResult deactivateEnterprise(java.sql.Connection con,
                                             EnterpriseObject eo,
                                             java.lang.String user)
                                      throws UpdateException,
                                             ObjectException,
                                             DataModifiedException

  Throws:
    `UpdateException`
    `ObjectException`
    `DataModifiedException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#deactivateEnterprise`

### mergeEnterprise

    public UpdateResult mergeEnterprise(java.sql.Connection con,
                                        EnterpriseObject srcEO,
                                        EnterpriseObject destEO,
                                        int flags,
                                        java.lang.String user)
                                 throws SurvivorCalculationException,
                                        SystemObjectException,
                                        ObjectException,
                                        UpdateException,
                                        DataModifiedException,
                                        UserException

  Throws:
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `UpdateException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#mergeEnterprise`

### mergeEnterprise

    public UpdateResult mergeEnterprise(java.sql.Connection con,
                                        EnterpriseObject srcEO,
                                        EnterpriseObject destEO,
                                        java.lang.String srcRevisionNumber,
                                        java.lang.String destRevisionNumber,
                                        int flags,
                                        java.lang.String user)
                                 throws SurvivorCalculationException,
                                        SystemObjectException,
                                        ObjectException,
                                        UpdateException,
                                        DataModifiedException,
                                        UserException

  Merges two `EnterpriseObject` by transfering all of the `SystemObject` from the source to the destination.

  Parameters:
    `con` - connection
    `srcEO` - the source of the transfers
    `destEO` - the destination of the transfers
    `srcRevisionNumber` - The SBR revision number or the surviving EnterpriseObject
    `destRevisionNumber` - The SBR revision number or the merged EnterpriseObject
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. Please @see com.sun.mdm.index.objects.ObjectNode
    `UpdateException` - error updating
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception

### mergeSystem

    public UpdateResult mergeSystem(java.sql.Connection con,
                                    EnterpriseObject srcEO,
                                    EnterpriseObject destEO,
                                    java.lang.String system,
                                    java.lang.String lid,
                                    SystemObject newSO,
                                    int flags,
                                    java.lang.String user)
                             throws SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    UpdateException,
                                    DataModifiedException,
                                    UserException

  Throws:
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `UpdateException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#mergeSystem`

### mergeSystem

    public UpdateResult mergeSystem(java.sql.Connection con,
                                    EnterpriseObject srcEO,
                                    java.lang.String system,
                                    java.lang.String lid,
                                    SystemObject newSO,
                                    int flags,
                                    java.lang.String user)
                             throws SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    UpdateException,
                                    DataModifiedException,
                                    UserException

  Throws:
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `UpdateException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#mergeSystem`

### removeSystem

    public UpdateResult removeSystem(java.sql.Connection con,
                                     EnterpriseObject srcEO,
                                     java.lang.String system,
                                     java.lang.String lid,
                                     java.lang.String user)
                              throws UpdateException,
                                     SurvivorCalculationException,
                                     SystemObjectException,
                                     ObjectException,
                                     DataModifiedException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#removeSystem`

### splitSystem

    public UpdateResult splitSystem(java.sql.Connection con,
                                    java.lang.String system,
                                    java.lang.String lid,
                                    EnterpriseObject eo,
                                    java.lang.String user)
                             throws UpdateException,
                                    SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    DataModifiedException,
                                    UserException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#splitSystem`

### splitSystem

    public UpdateResult splitSystem(java.sql.Connection con,
                                    SystemObject so,
                                    EnterpriseObject eo,
                                    java.lang.String user)
                             throws UpdateException,
                                    SurvivorCalculationException,
                                    SystemObjectException,
                                    ObjectException,
                                    DataModifiedException,
                                    UserException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#splitSystem`

### transferSystem

    public UpdateResult transferSystem(java.sql.Connection con,
                                       EnterpriseObject srcEO,
                                       EnterpriseObject destEO,
                                       java.lang.String system,
                                       java.lang.String lid,
                                       java.lang.String user)
                                throws UpdateException,
                                       SurvivorCalculationException,
                                       SystemObjectException,
                                       ObjectException,
                                       DataModifiedException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#transferSystem`

### unmergeEnterprise

    public UpdateResult unmergeEnterprise(java.sql.Connection con,
                                          java.lang.String transactionID,
                                          int flag,
                                          java.lang.String user)
                                   throws UpdateException,
                                          SurvivorCalculationException,
                                          SystemObjectException,
                                          ObjectException,
                                          DataModifiedException,
                                          UserException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#unmergeEnterprise`

### unmergeSystem

    public UpdateResult unmergeSystem(java.sql.Connection con,
                                      java.lang.String transactionID,
                                      int flag,
                                      java.lang.String user)
                               throws UpdateException,
                                      SurvivorCalculationException,
                                      SystemObjectException,
                                      ObjectException,
                                      DataModifiedException,
                                      UserException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#unmergeSystem`

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         EnterpriseObject eo,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#updateEnterprise`

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         EnterpriseObject eo,
                                         java.lang.String revisionNumber,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Updates a particular EnterpriseObject

  Parameters:
    `con` - connection
    `eo` - `EnterpriseObject` to be updated
    `revisionNumber` - The revision number of the SBR of the associated SO.
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. Please @see com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         SystemObject so,
                                         EnterpriseObject eo,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Throws:
    `UpdateException`
    `SurvivorCalculationException`
    `SystemObjectException`
    `ObjectException`
    `DataModifiedException`
    `UserException`
  See Also:
    `com.sun.mdm.index.update.UpdateManagerEJB#updateEnterprise`

### updateEnterprise

    public UpdateResult updateEnterprise(java.sql.Connection con,
                                         SystemObject so,
                                         EnterpriseObject eo,
                                         java.lang.String revisionNumber,
                                         int flags,
                                         java.lang.String user)
                                  throws UpdateException,
                                         SurvivorCalculationException,
                                         SystemObjectException,
                                         ObjectException,
                                         DataModifiedException,
                                         UserException

  Updates a particular EnterpriseObject with values from the specified SystemObject

  Parameters:
    `con` - connection
    `so` - up-to-date `SystemObject` image
    `eo` - `EnterpriseObject` that the SystemObject belongs to
    `revisionNumber` - The revision number of the SBR of the associated SO.
    `flags` - optional flags
    `user` - user
  Returns:
    an `UpdateResult` containing the affected EnterpriseObjects and transaction ID.
  Throws:
    `UpdateException` - error updating
    `SurvivorCalculationException` - error calculating SBR
    `SystemObjectException` - `SystemObject` access exception
    `ObjectException` - ObjectNode access exception. Please @see com.sun.mdm.index.objects.ObjectNode
    `DataModifiedException` - data modification by concurrent user
    `UserException` - general user exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.